summaryrefslogtreecommitdiffstats
path: root/source/a/mt-st/mt-st.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/mt-st/mt-st.SlackBuild')
-rwxr-xr-xsource/a/mt-st/mt-st.SlackBuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/source/a/mt-st/mt-st.SlackBuild b/source/a/mt-st/mt-st.SlackBuild
new file mode 100755
index 000000000..cbf44ec2f
--- /dev/null
+++ b/source/a/mt-st/mt-st.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-0.9b}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-mt-st
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf mt-st-$VERSION
+tar xzvf $CWD/mt-st-$VERSION.tar.gz
+cd mt-st-$VERSION
+
+zcat $CWD/mt-st.config.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/mt-st.man.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/mt-st.sdlt.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i -e 's#<linux/qic117.h>#"qic117.h"#' mtio.h || exit 1
+make || exit 1
+
+strip mt stinit
+mkdir -p $PKG/bin
+cat mt > $PKG/bin/mt-st
+chmod 755 $PKG/bin/mt-st
+( cd $PKG/bin ; ln -sf mt-st mt )
+mkdir -p $PKG/sbin
+cat stinit > $PKG/sbin/stinit
+chmod 755 $PKG/sbin/stinit
+mkdir -p $PKG/usr/man/man{1,8}
+cat mt.1 | gzip -9c > $PKG/usr/man/man1/mt-st.1.gz
+cat stinit.8 | gzip -9c > $PKG/usr/man/man8/stinit.8.gz
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/mt-st-$VERSION
+cp -a \
+ COPYING README* *.lsm stinit.def.examples \
+ $PKG/usr/doc/mt-st-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/mt-st-$VERSION-$ARCH-$BUILD.txz
+